import { KeyType, Type } from '@mobicoop/configuration-module';

export const CARPOOL_CONFIG_ROLE = 'role';
export const CARPOOL_CONFIG_SEATS_PROPOSED = 'seatsProposed';
export const CARPOOL_CONFIG_SEATS_REQUESTED = 'seatsRequested';
export const CARPOOL_CONFIG_DEPARTURE_TIME_MARGIN = 'departureTimeMargin';
export const CARPOOL_CONFIG_STRICT_FREQUENCY = 'strictFrequency';

export const CarpoolKeyTypes: KeyType[] = [
  {
    key: CARPOOL_CONFIG_ROLE,
    type: Type.STRING,
  },
  {
    key: CARPOOL_CONFIG_SEATS_PROPOSED,
    type: Type.INT,
  },
  {
    key: CARPOOL_CONFIG_SEATS_REQUESTED,
    type: Type.INT,
  },
  {
    key: CARPOOL_CONFIG_DEPARTURE_TIME_MARGIN,
    type: Type.INT,
  },
  {
    key: CARPOOL_CONFIG_STRICT_FREQUENCY,
    type: Type.BOOLEAN,
  },
];
