import { AD_REPOSITORY } from '@modules/ad/ad.di-tokens';
import { Inject } from '@nestjs/common';
import { CommandHandler, ICommandHandler } from '@nestjs/cqrs';
import { AdRepositoryPort } from '../../ports/ad.repository.port';
import { DeleteAdCommand } from './delete-ad.command';

@CommandHandler(DeleteAdCommand)
export class DeleteAdService implements ICommandHandler {
  constructor(
    @Inject(AD_REPOSITORY) private readonly adRepository: AdRepositoryPort,
  ) {}

  async execute(command: DeleteAdCommand): Promise<boolean> {
    const ad = await this.adRepository.findOneById(command.id);
    ad.delete();
    return this.adRepository.delete(ad);
  }
}
