import { CandidateEntity } from '@modules/ad/core/domain/candidate.entity';
import { Filter } from './filter.abstract';

/**
 * Filter candidates with unacceptable detour
 */
export class PassengerOrientedGeoFilter extends Filter {
  filter = async (candidates: CandidateEntity[]): Promise<CandidateEntity[]> =>
    candidates.filter((candidate: CandidateEntity) =>
      candidate.isDetourValid(),
    );
}
