import { CreateAdProps, Frequency } from '@modules/ad/core/domain/ad.types';
import { PointProps } from '@modules/ad/core/domain/value-objects/point.value-object';

const originPointProps: PointProps = {
  lat: 48.689445,
  lon: 6.17651,
};
const destinationPointProps: PointProps = {
  lat: 48.8566,
  lon: 2.3522,
};

export function createAdProps(): CreateAdProps {
  return {
    id: 'e8fe64b1-4c33-49e1-9f69-4db48b21df36',
    driver: true,
    passenger: true,
    fromDate: '2023-06-21',
    toDate: '2023-06-21',
    schedule: [
      {
        day: 3,
        time: '08:30',
        margin: 900,
      },
    ],
    frequency: Frequency.PUNCTUAL,
    seatsProposed: 3,
    seatsRequested: 1,
    strict: false,
    waypoints: [originPointProps, destinationPointProps],
    driverDistance: 23000,
    driverDuration: 900,
    passengerDistance: 23000,
    passengerDuration: 900,
    fwdAzimuth: 283,
    backAzimuth: 93,
    points: [],
  };
}
